> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/vsm-guides/settings-and-configuration/events/working-with-event-data.md).

# Working with Event Data

Learn how to work with events in the Orchestration Engine.

If you use dots in event names, for example `tenant.created`, you need to correctly reference such event types to ensure seamless integration between Emporix Value Streams and Make or other third-party platforms.

You may need to reference such event types in the following situations:

* When using the VSM API process run search endpoint.
* When using the search process run module in Make.
* In other places in Make, when referencing the event type as an attribute of a payload.

To reference an event type with a dot in its name, enclose the event type name in backticks (backquotes) **\`\`**:

```
`tenant.created`  
```

## Usage examples

### VSM API Execution Run Search Endpoint

When using the VSM API process run search endpoint, ensure that you enclose the event type name in backticks.

For example:

```
{
    "eventType": "`tenant.created`"
}
```

### Make integration

When working with Make, enclose the event type name in backticks when using the search process run module or referencing the event type as an attribute of a payload.

For example:

* In the search process run module:

  ```
    {
        "eventType": "`tenant.created`"
    }
  ```
* When referencing the event type as an attribute of a payload:

  ```
    {
        "eventTypeAttribute": "`tenant.created`.attribute"
    }
  ```

Using backticks to enclose event type names with dots, ensures compatibility with Make and other third-party platforms. By following this convention when referencing these event types, you can maintain seamless integration and prevent potential issues during the processing of your workflows.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/vsm-guides/settings-and-configuration/events/working-with-event-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
